<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        if (! Schema::hasColumn('orders', 'returned')) {
            Schema::table('orders', function (Blueprint $table) {
                $table->timestamp('returned')->nullable()->after('delivered');
            });
        }
    }

    public function down(): void
    {
        if (Schema::hasColumn('orders', 'returned')) {
            Schema::table('orders', function (Blueprint $table) {
                $table->dropColumn('returned');
            });
        }
    }
};
